Resource

Incident Episode Role Member

Assign users with specific roles to incident episodes. These assignments propagate to all incidents in the episode.

The Incident Episode Role Member Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    user
    Type
    User
    Description

    User assigned to the episode with a specific role.

  • Name
    userId
    Type
    Object IDRequired
    Description

    ID of your User assigned to this episode

  • Name
    incidentEpisode
    Type
    Incident Episode
    Description

    Relation to Incident Episode Resource in which this object belongs

  • Name
    incidentEpisodeId
    Type
    Object IDRequired
    Description

    ID of your Incident Episode in which this object belongs

  • Name
    incidentRole
    Type
    Incident Role
    Description

    The role assigned to the user for this episode

  • Name
    incidentRoleId
    Type
    Object IDRequired
    Description

    ID of the Incident Role assigned to this user

  • Name
    notes
    Type
    Long Text
    Description

    Assignment context or notes

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/incident-episode-role-member/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Episode Role Member. By default, a maximum of ten Incident Episode Role Member are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-episode-role-member/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentEpisodeId": true,
    "incidentRoleId": true,
    "projectId": true,
    "userId": true,
    "_id": true
  },
  "query": {
    "notes": "Example notes"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37700b10-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentRoleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "37700b11-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentRoleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "37700b12-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentRoleId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/incident-episode-role-member/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Episode Role Member by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-episode-role-member/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentEpisodeId": true,
    "incidentRoleId": true,
    "projectId": true,
    "userId": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentRoleId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "userId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/incident-episode-role-member/count

Count

This endpoint allows you to retrieve the count of all your Incident Episode Role Member.

Optional Request Body

Count Request

POST
/api/incident-episode-role-member/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "notes": "Example notes"
  }
}

Response

{
  "count": 107
}
POST/api/incident-episode-role-member

Create Incident Episode Role Member

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-episode-role-member
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
    "incidentRoleId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "userId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentRoleId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "userId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/incident-episode-role-member/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-role-member/:id/update-item
GET/api/incident-episode-role-member/:id/update-item

Update Request

PUT
/api/incident-episode-role-member/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentRoleId": "550e8400-e29b-41d4-a716-446655440000",
    "incidentRole": "Example incident role",
    "notes": "Example notes"
  }
}

Response

{}
DELETE/api/incident-episode-role-member/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-role-member/:id/delete-item
GET/api/incident-episode-role-member/:id/delete-item

Delete Request

DELETE
/api/incident-episode-role-member/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Episode Role Member

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Episode Role Member
  • Read All Project Resources

Create Permissions

Required to create Incident Episode Role Member

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Episode Role Member

Update Permissions

Required to update Incident Episode Role Member

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Episode Role Member

Delete Permissions

Required to delete Incident Episode Role Member

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Episode Role Member